rpma_peer_delete(3)

NAME
rpma_peer_delete - delete a peer object

SYNOPSIS
      #include <librpma.h>

      struct rpma_peer;
      int rpma_peer_delete(struct rpma_peer **peer_ptr);

DESCRIPTION
rpma_peer_delete() deletes the peer object.

RETURN VALUE
The rpma_peer_delete() function returns 0 on success or a negative error code on failure. rpm_peer_delete() does not set *peer_ptr value to NULL on failure.

RETURN VALUE
The rpma_peer_delete() function returns 0 on success or a negative error code on failure. rpma_peer_delete() does not set *peer_ptr to NULL on failure.

ERRORS
rpma_peer_delete() can fail with the following error:

•   RPMA_E_PROVIDER - deleting the verbs protection domain failed.

SEE ALSO
rpma_peer_new(3), librpma(7) and https://pmem.io/rpma/